## org.apache.mahout.math.random
Class Missing<T>

    java.lang.Object
      org.apache.mahout.math.random.Missing<T>

All Implemented Interfaces:
  Sampler<T>

    public final class Missing<T>

extends Object
implements Sampler<T>

Models data with missing values. Note that all variables with the same fraction of missing values will have the same sequence of missing values. Similarly, if two variables have missing probabilities of p1 > p2, then all of the p2 missing values will also be missing for p1.

Constructor Summary
`Missing(double p, Sampler<T> delegate)`
`Missing(double p, Sampler<T> delegate, T missingMarker)`
`Missing(int seed, double p, Sampler<T> delegate, T missingMarker)`

Method Summary
`T` `sample()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Missing

    public Missing(int seed,
                   double p,
                   Sampler<T> delegate,
                   T missingMarker)

### Missing

    public Missing(double p,
                   Sampler<T> delegate,
                   T missingMarker)

### Missing

    public Missing(double p,
                   Sampler<T> delegate)

Method Detail

### sample

    public T sample()

  Specified by:
    `sample` in interface `Sampler<T>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.